.containerWrapper {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: auto;
  padding: 0 22rem 0 22rem;
  background-color: #fff;
  margin-bottom: 1rem;

  .rowWrapper {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;

    .labelWrapper {
      font-weight: 600;
      margin: 0.2rem 0 0.2rem 0;
      font-size: 1rem;
      padding-left: 0px !important;
      color: rgba(0, 0, 0, 1);
    }

    .selectWrapper {
      height: 3rem;
      padding: 4px;
      background-color: #fff;
      color: rgba(0, 0, 0, 1);
      &::after {
        padding-right: 20px;
      }
    }

    .inputField {
      height: 3rem;
      background-color: #fff;
      border: 1px solid #737373;
      color: rgba(0, 0, 0, 1);
      &:focus {
        // box-shadow: 0 0 3px #000000;
        // padding: 3px 0px 3px 3px;
        // margin: 5px 1px 3px 0px;
        border: 1px solid rgba(0, 0, 0, 1);
        outline: none;
        // border-radius: 0.15rem;
        background-color: #fff;
        color: rgba(0, 0, 0, 1);
      }
    }

    .textInputField {
      height: 5rem;
      padding: 0.7rem;
      background-color: #fff;
      border: 1px solid #737373;
      color: rgba(0, 0, 0, 1);
      &:focus {
        // box-shadow: 0 0 3px #000000;
        // padding: 3px 0px 3px 3px;
        // margin: 5px 1px 3px 0px;
        border: 1px solid rgba(0, 0, 0, 1);
        outline: none;
        // border-radius: 0.15rem;
        background-color: #fff;
        color: rgba(0, 0, 0, 1);
      }
    }

    .requiredField {
      color: red;
      font-weight: bold;
      margin-left: 0.2rem;
    }
  }
}

.agreeTerms {
  padding-left: 1.6rem;
  color: rgba(0, 0, 0, 1);
  label {
    .form-check-label {
      font-weight: 600;
      margin: 0.2rem 0 0.2rem 0;
      font-size: 1rem;
      color: rgba(0, 0, 0, 1);
    }
  }
}

.errMsg {
  font-size: 0.8rem;
  color: red;
  height: 0.2rem;
  margin-top: 0.25rem;
  padding-left: 0px !important;
}

.userTypeErr {
  display: flex;
  flex-wrap: wrap;
  border: 1px solid red;

  .userTypeBtn {
    margin: 5px 2px 5px 2px;
    width: 135px;
    color: white;
    background-color: #34613d;
    font-size: 0.7rem;
  }

  .userInActiveBtn {
    margin: 5px;
    font-weight: 500;
    width: 135px;
    color: #5e5e5e;
    background-color: rgba(255, 255, 255, 0);
    font-size: 0.7rem;
    border: 1px solid #5e5e5e;
    // border-radius: 0.15rem;

    &:hover {
      border: 1px solid black;
    }
  }
}

.userTypeLayout {
  display: flex;
  flex-wrap: wrap;
  padding: 0;

  .userTypeBtn {
    margin: 5px;
    width: 135px;
    color: white;
    background-color: rgba(0, 0, 0, 1);
    font-size: 0.7rem;
    font-size: 0.7rem;
    border-color: rgba(0, 0, 0, 1);
  }

  .userInActiveBtn {
    margin: 5px;
    font-weight: 500;
    width: 135px;
    color: #5e5e5e;
    background-color: rgba(255, 255, 255, 0);
    font-size: 0.7rem;
    border: 1px solid #5e5e5e;
    // border-radius: 0.15rem;

    &:hover {
      border: 1px solid black;
    }
  }
}

.recaptchaWrapper {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
}

.submitBtnWrapper {
  display: flex;
  justify-content: center;
  padding-top: 2px;
  padding-bottom: 2rem;

  .submitBtn {
    width: 150px;
    color: white;
    background-color: #147bd1;
    outline: none;
    border-width: 0;
    height: 2rem;
    border-radius: 0.5rem;
    opacity: 0.4;
  }

  .submitActiveBtn {
    width: 175px;
    color: white;
    background-color: #147bd1;
    outline: none;
    border-width: 0;
    margin-top: 0.5rem;
    height: 3rem !important;
    border-radius: unset;
    text-transform: uppercase;
    font-size: 1rem;
    font-weight: 500;
  }
  .ripple {
    position: relative;
    overflow: hidden;
  }

  .ripple:before {
    border-radius: 50%;
    background-color: rgba(0,0,0,0.6);
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
  }

  .ripple:focus:before {
    transition: all 0.5s ease-out;
    opacity: 0;
    width: 160px;
    height: 160px;
    margin-top: -80px;
    margin-left: -80px;
  }
}

.successMsg {
  color: #34613d;
  font-size: 0.8rem;
  font-weight: 600;
  display: flex;
  justify-content: flex-end;
}

.failureMsg {
  color: red;
  font-size: 0.8rem;
  font-weight: 600;
  display: flex;
  justify-content: flex-end;
}

@media (max-width: 920px) {
  .containerWrapper {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: auto;
    padding: 0 2rem 0 2rem;
    margin-bottom: 4rem;
  }

  .userTypeLayout {
    display: flex;
    flex-wrap: wrap;
    padding: 0;

    .userTypeBtn {
      margin: 5px;
      color: white;
      background-color: rgba(0, 0, 0, 1);
      font-size: 0.7rem;
      width: 8rem;
    }

    .userInActiveBtn {
      margin: 5px;
      font-weight: 500;
      color: #5e5e5e;
      background-color: rgba(255, 255, 255, 0);
      font-size: 0.7rem;
      border: 1px solid #5e5e5e;
      width: 8rem;
      // border-radius: 0.15rem;

      &:hover {
        border: 1px solid black;
      }
    }
  }
}

@media (min-width: 921px) and (max-width: 1024px) {
  .containerWrapper {
    padding: 0 8rem 0 8rem;
  }
}

@media (min-width: 1025px) and (max-width: 1200px) {
  .containerWrapper {
    padding: 0 15rem 0 15rem;
  }
}
